Bug 506693 - 404 Error when accessing help/contact.pxt
404 Error when accessing help/contact.pxt
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Jeff Ortel
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-18 07:48 EDT by Tomas Lestach
Modified: 2009-09-10 16:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-06-18 07:48:43 EDT
Description of problem:

When accessing over WEBUI:
a non existing system:
https://<satellite-fqdn>/rhn/systems/details/Overview.do?sid=<non-existing-sid>
a non exiting channel:
https://<satellite-fqdn>/rhn/channels/ChannelDetail.do?cid=<non-existing-cid>
a non existing probe, ...

we every time get a web page saying "sm. could not be found", "Internal Server Error" or similar that contains a kind of "contact us" link. By following such a link, we receive:

404 Error - File Not Found
Please report this error to your local administrator.


Version-Release number of selected component (if applicable):
sat 5.30
(my version: Satellite-5.3.0-RHEL4-re20090612.0)

How reproducible:
every time

Steps to Reproduce:
1. Log into the satellite and open
https://<satellite-fqdn>/rhn/systems/details/Overview.do?sid=1000
(Make sure you have a non-existing system id in the URL.)

2. You shall see a "We're sorry, but the system could not be found. " web page.

3. Click on the "this form" link in the 3rd point of web page:
"You've found an error in our site. Please help us by filling out this form with details of how you received this message."
  
Actual results:
You get following web page:

"404 Error - File Not Found
Please report this error to your local administrator."


Expected results:
You shall be redirected to an existing page with expected contents.
Comment 2 Shannon Hughes 2009-06-18 12:09:15 EDT
this is a hosted leftover, satellite customers have their own support contacts which is why the contact page does not exist. 

removed contact link to prevent error. 

db367c6297534342f354566d9a6ee5a537453e8b
Comment 4 Shannon Hughes 2009-06-19 11:49:15 EDT
mass move to onqa
Comment 5 Shannon Hughes 2009-06-22 13:03:41 EDT
i see...but the grep you have above will return all the links that are posted to hosted as well so it won't be near the 385 occurrences

i see a few left in our string resource files and will also make sure there are none left on the perl logic side.
Comment 6 Shannon Hughes 2009-06-22 15:01:13 EDT
i found three more occurrences in our java string files and one in a java logic file. the logic file had a string that was actually dead code. 

the three in the strings files will not be translated until next release.
Comment 7 Shannon Hughes 2009-06-22 15:01:27 EDT
commit for above, 

7014fdd1e776ddd2d973ae3ec9de60408142a009
Comment 8 Tomas Lestach 2009-06-23 04:38:29 EDT
OK, I just know it was more than one "page" to fix. Thank you.
Comment 11 Brandon Perkins 2009-09-10 16:38:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.